summaryrefslogtreecommitdiffstats
path: root/strip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'strip.sh')
-rwxr-xr-xstrip.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/strip.sh b/strip.sh
new file mode 100755
index 0000000..d56547b
--- /dev/null
+++ b/strip.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "usage $0 version"
+ exit 1;
+fi
+
+if [ -f php-$1.tar.xz ]; then
+ told=php-$1.tar.xz
+elif [ -f php-$1.tar.bz2 ]; then
+ told=php-$1.tar.bz2
+else
+ echo "missing php-$1.tar.xz archive"
+ exit 2;
+fi
+tnew=php-$1-strip.tar.xz
+
+old=$(mktemp)
+new=$(mktemp)
+
+echo "Untar..."
+tar xf $told
+rm -rf php-$1/ext/json
+echo "Tar..."
+tar cJf $tnew php-$1
+
+echo "Diff..."
+tar tf $told | sort >$old
+tar tf $tnew | sort >$new
+diff $old $new
+
+rm -f $old $new